Skip to main content

Get Widget URL Without Configuration Options

GET
/users/{id}/urls/{type}

Use this endpoint to request a widget URL without any configuration options. Each URL contains an embedded token that expires after ten minutes or when used, whichever comes first. A fresh URL must be obtained each time a page is loaded or reloaded.

See Widget Types for supported values.

info

Successful requests to this endpoint — regardless of the widget_type — automatically trigger aggregation for all members associated with the user.

You may also pass an optional Accept-Language header.

Request sample

Request
Language:shell

_10
curl -i https://int-sso.moneydesktop.com/{client_id}/users/{user_id}/urls/master_widget.xml \
_10
-H 'Accept: application/vnd.moneydesktop.sso.v3+xml' \
_10
-H 'MD-API-KEY: {api_key}'

Response sample

XML
JSON
Language:xml

_10
<url>
_10
<url>https://widgets.moneydesktop.com/md/master/XXXXX</url>
_10
<type>master_widget</type>
_10
<user_id>unique-user-id</user_id>
_10
</url>